Packages - Packaging Request #1889

[madonctl] Add to PCR
2018-07-14 07:58 PM - libreuser

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

CLI client for the Mastodon social network API

[[https://aur.archlinux.org/packages/madonctl/]]

Licenses: MIT

Is MIT license ok?

Related issues:
Related to Packages - Packaging Request #1700: Mastodon fixed

History

#1 - 2018-07-14 07:59 PM - libreuser
Sorry, the NAME is 'madonctl'. (without the 's')

#2 - 2018-07-16 04:49 PM - ovruni
- Priority changed from bug to wish
- Subject changed from [masdonctl] Add to PCR to [madonctl] Add to PCR

#3 - 2018-07-18 05:04 AM - brettgilio

Yes, MIT license is acceptable assuming that the dependencies it drawns on or the framework it runs on do not impede the freedom of the user.
Unfortunately there is an ongoing debate about the ethicality freedom of the Go language (which is expected considering its origins from Google). So,
I look forward to seeing how this plays out.

#4 - 2018-09-11 06:57 PM - freemor
- File madonctl_pulls.txt added

Out of curiosity | tried "go get"ing this and extracted the things it pulls (24, not horrible for a go thing).

If I'm Reallllly bored one day | might take a look at all the licenses.

#5 - 2019-05-31 05:57 PM - bill-auger
- Related to Packaging Request #1700: Mastodon added

Files

madonctl_pulls.txt 848 Bytes 2018-09-11 freemor
